## net.dontdrinkandroot.lastfm.api.ws
Class Fetcher

    java.lang.Object
      net.dontdrinkandroot.lastfm.api.ws.Fetcher

    public class Fetcher

extends java.lang.Object

This class is responsible for actually fetching the data from last.fm and converting it to a dom Document.

Author:
  Philip W. Sorst

Constructor Summary
`Fetcher()`

Method Summary
`LastfmResponse` `get(java.util.Map<java.lang.String,java.lang.String> parameters)`
`double` `getWebRequestsPerSecond()`
`LastfmResponse` `post(java.util.Map<java.lang.String,java.lang.String> parameters)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Fetcher

    public Fetcher()
            throws javax.xml.parsers.ParserConfigurationException

Throws:
  `javax.xml.parsers.ParserConfigurationException`

Method Detail

### get

    public final LastfmResponse get(java.util.Map<java.lang.String,java.lang.String> parameters)
                             throws LastfmWebServicesException

  Throws:
    `LastfmWebServicesException`

### post

    public final LastfmResponse post(java.util.Map<java.lang.String,java.lang.String> parameters)
                              throws LastfmWebServicesException

  Throws:
    `LastfmWebServicesException`

### getWebRequestsPerSecond

    public final double getWebRequestsPerSecond()

Copyright © 2013 dontdrinkandroot. All Rights Reserved.